Summary:	Set of tools which creates squashfs filesystem
Summary(pl.UTF-8):	Zestaw narzędzi do tworzenia systemu plików squashfs
Name:		squashfs
Version:	4.3
Release:	1
License:	GPL v2+
Group:		Base/Utilities
Source0:	http://downloads.sourceforge.net/squashfs/%{name}%{version}.tar.gz
# Source0-md5:	d92ab59aabf5173f2a59089531e30dbf
URL:		http://squashfs.sourceforge.net/
BuildRequires:	attr-devel
BuildRequires:	lz4-devel
BuildRequires:	lzo-devel >= 2.04
BuildRequires:	xz-devel >= 5.0.0
BuildRequires:	zlib-devel
%ifarch %{x8664}
Requires:	libgcc_s.so.1()(64bit)
%else
Requires:	libgcc_s.so.1
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This package contains utilities for squashfs filesystem.

Squashfs is a highly compressed read-only filesystem for Linux (kernel
2.6.29 and above). It uses zlib compression to compress both files,
inodes and directories. Inodes in the system are very small and all
blocks are packed to minimise data overhead. Block sizes greater than
4K are supported up to a maximum of 64K.

Squashfs is intended for general read-only filesystem use, for
archival use (i.e. in cases where a .tar.gz file may be used), and in
constrained block device/memory systems (e.g. embedded systems) where
low overhead is needed.

%description -l pl.UTF-8
Zestaw narzędzi do tworzenia systemu plików squashfs.

Squashfs jest systemem plików tylko do odczytu z dużym współczynnikiem
kompresji dla Linuksa (2.6.29 i nowsze). Używa kompresji zlib do
plików, i-węzłów oraz katalogów. I-węzły są bardzo małe, a wszystkie
bloki są pakowane, aby zmniejszyć objętość. Rozmiary bloków powyżej
4kB są obsługiwane - maksymalnie do 64kB.

Squashfs ma służyć jako system plików tylko do odczytu ogólnego
przeznaczenia, do składowania archiwów (w tych przypadkach, kiedy
można używać plików .tar.gz) oraz w systemach z dużymi ograniczeniami
pamięci i urządzeń blokowych (np. systemach wbudowanych).

%prep
%setup -q -n %{name}%{version}
sed -i -e 's/^#XZ_SUPPORT.*=.*/XZ_SUPPORT = 1/'  squashfs-tools/Makefile
sed -i -e 's/^#LZO_SUPPORT.*=.*/LZO_SUPPORT = 1/' squashfs-tools/Makefile
sed -i -e 's/^#LZ4_SUPPORT.*=.*/LZ4_SUPPORT = 1/' squashfs-tools/Makefile
sed -i -e "s/-O2 -Wall/%{rpmcflags}/" squashfs-tools/Makefile

%build
%{__make} -C squashfs-tools \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p squashfs-tools/mksquashfs $RPM_BUILD_ROOT%{_bindir}
install -p squashfs-tools/unsquashfs $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mksquashfs
%attr(755,root,root) %{_bindir}/unsquashfs
%changelog
* Tue Aug 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/squashfs.git;a=log;h=master

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d843757
- GPL version

* Wed May 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d3e712
- up to 4.3; LZ4 support

* Mon Apr 14 2014 Elan Ruusamäe <glen@delfi.ee> ee57704
- require libgcc_s.so.1 for pthread_* to work; move tools to user bin

* Thu Mar 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c605d89
- up to 4.2 (xz compression)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> f42b088
- BR: attr-devel

* Sun Jan 16 2011 areq <areq@pld-linux.org> 5ffebea
- final 4.1 with lzo and lzma support (xz-devel)

* Sun Dec 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 49b7dc2
- 4.1 snap (adds LZMA support)

* Mon Apr 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 723a05e
- up to 4.0 (for kernels 2.6.29 and above)

* Thu Oct 23 2008 hawk <hawk@pld-linux.org> 7c241e0
- updated to 3.4, inlcude -D's from original Makefile in CFLAGS

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> ff527a5
- rel 3

* Thu Sep 20 2007 Elan Ruusamäe <glen@pld-linux.org> cc78896
- update to 3.2-r2:
 - Junjiro Okajima discovered a couple of SMP issues, thanks.
 - Junjiro Okajima and Tomas Matejicek have produced some good LZMA patches
   for Squashfs.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 38ab019
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62a0739
- converted to UTF-8

* Sat Feb 03 2007 areq <areq@pld-linux.org> 6ea834f
- fix md5

* Thu Jan 04 2007 Robert Tomasik <rotom@pld-linux.org> c2c8b8f
- up to 3.2
- Mksquashfs now displays a progress bar
- Squashfs filesystems can now be exported via NFS

* Sun Aug 27 2006 Paweł Sikora <pluto@pld-linux.org> 0fa68c6
- updated to 3.1.

* Wed Apr 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5ca49ec
- add more docs
- correct changelog entry

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a87da1d
- orphaned, outdated

* Fri Mar 17 2006 areq <areq@pld-linux.org> 475ca93
- 3.0

* Fri Oct 28 2005 areq <areq@pld-linux.org> e044524
- squashfs2.2-r2

